<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\OrderAdditionalData\Model;

/**
 * OAD Order Item Additional Data
 */
class ItemData extends \Magento\Framework\Model\AbstractModel implements \Magento\Framework\DataObject\IdentityInterface
{
    const CACHE_TAG = 'filoblu_oad_order';

    protected function _construct()
    {
        $this->_init('FiloBlu\OrderAdditionalData\Model\ResourceModel\ItemData');
    }

    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}